# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::StreamFieldOutput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamFieldOutput:

List of all members.

## Public Member Functions

- StreamFieldOutput (std::ostream *op_ptr, const SourceParams &sp)
    Constructor.
- virtual ~StreamFieldOutput ()
    virtual Destructor
- bool WriteToNextFrame (const Picture &myfield)
    Write a field to the next frame to be output.

## Protected Member Functions

- bool WriteFieldComponent (const PicArray &pic_data, int field_num, const CompSort &cs)
    Write a field component to file.

## Private Member Functions

- StreamFieldOutput ()
    Body-less Default Constructor.

## Private Attributes

- unsigned char * m_frame_store

## Constructor & Destructor Documentation

dirac::StreamFieldOutput::StreamFieldOutput | ( | std::ostream * | op_ptr,
|  | const SourceParams & | sp |
| ) |  |  |

Constructor, takes

Parameters:

  | op_ptr | the output stream object
  | sp | the source parameters

virtual dirac::StreamFieldOutput::~StreamFieldOutput | ( |  | ) | `[virtual]`

dirac::StreamFieldOutput::StreamFieldOutput | ( |  | ) | `[private]`

## Member Function Documentation

bool dirac::StreamFieldOutput::WriteFieldComponent | ( | const PicArray & | pic_data,
|  | int | field_num,
|  | const CompSort & | cs |
| ) |  |  | `[protected]`

bool dirac::StreamFieldOutput::WriteToNextFrame | ( | const Picture & | myfield | ) | `[virtual]`

Implements dirac::StreamPicOutput.

## Member Data Documentation

unsigned char* dirac::StreamFieldOutput::m_frame_store`[private]`

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.